// ready event
/*
$(document).ready(function()
{	
	//initialise tabs
	$('#tabs2').tabs({
		ajaxOptions: {},
		data: {},
		success: function(data, textStatus) {	},
		tabTemplate: '<li><a href="#{href}"><span class="ui-icon ui-icon-document"/>#{label}</a> <span class="ui-icon ui-icon-close">Remove Tab</span></li>',
	});
	
	//autoselect new tab
	var $tabs = $('#tabs2').tabs(	{
		add: function(event, ui)
		{	$tabs.tabs('select', '#' + ui.panel.id);
			icon =$('#'+ui.panel.id +' >div' ).attr('tabicon');
			if (icon!=null && icon.length>0)
			{	//console.log($(ui.tab).find("span"));
				$(ui.tab).find("span").attr("class",icon);
			}
			noclose =$('#'+ui.panel.id +' >div' ).attr('noclose');
			if (noclose!=null)
			{	$(ui.tab).parent().find(".ui-icon-close").remove(); 
			}
		}
	});	
	
	// tab close icon: removing the tab on click
	$('#tabs2 span.ui-icon-close').live('click', function()
	{	var index = $('li',$tabs).index($(this).parent());
		tabid=$(this).prev().attr("href");
		$tabs.tabs('remove', index);
		$(tabid).remove(); //delete data in dom too
	});
	
	//load overview tab
	$.get("/tools/ae/view/overview", tabLoaded,"string");
	
	
});
*/
	
/*
function item1(e)
{	alert("item1 "+e);
}

function newtab()
{
	$("#tabs2").tabs("add","/se2/pub/c2.html","SVG Example");
}
function pvt()
{	dynamicSvgTab('Physical View Test','/se2/fg?root=rs/MtgyF&seed=0&scale=0.5&depth=2000&iter=200&lib=no&showmod&nowrap');
}

function dynamicSvgTab(name,url)
{
	tabId=uniqueId("tab");
	svgId=uniqueId("svg");
	contents=$("#dyntemplate").clone();
	contents.attr("id",tabId);
	contents.children("div").attr("id",svgId);
	$("#dyn").append(contents);
	$('#'+svgId).svg({
    	loadURL: url,
    	changeSize: true
    });
	$("#tabs2").tabs("add","#"+tabId,name);
}
*/


function loadTab(url)
{	$.get(url, tabLoaded,"string");
}
function tabLoaded(data)
{
	tabId=uniqueId("tab");	
	div=$(document.createElement("div"));
	div.attr("id",tabId);
	$("#dyn").append(div);
	div.html(data);
	d=$("div", div);
	title=d.attr("tabtitle");
	if (title==null || title.length==0) title="[unknown]";
	$("#tabs2").tabs("add","#"+tabId,title);
	$('html, body').scrollTop(0);
}

// generate unique id
uniqueId = function(prefix)
{	return prefix + uniqueId.mCount++;
}
uniqueId.mCount=0;

function doMenu(menuId,entityId)
{
	//console.log("doMenu("+menuId+", "+entityId+")");
	url="/tools/ae/view/"+menuId+"/"+entityId;
	location.href= url;
}


//***************
//allModules stuff
//***************
function initDataTable(tableId, props, func)
{	
	hid="#"+tableId;
	table=$(hid);
	//console.log("initDataTable "+tableId+" "+table);
	//console.log(table);
	a = {'bJQueryUI': true,'sPaginationType': 'full_numbers', 'aLengthMenu': [[10, 25, 50, -1], [10, 25, 50, "All"]], 'iDisplayLength': -1, 'oLanguage': { 'sSearch': "Filter:"} };
	if (props!=null)
	{	jQuery.extend(a, props);
	}
		
	table.dataTable( a );
	//$(hid+" tr").contextMenu(menuId, { click: function(target,item) { doMenu(item.id,$(target).attr('hash')); } });
	rows=$(hid+" tr");
	rows.mouseenter( function() { $(this).addClass('row_selected'); } );
	rows.mouseleave( function() { $(this).removeClass('row_selected'); } );
		
	if (func!=null)
	{	func(table);
	}
		
}

function initLinks(ready,selector,menuId)
{	//console.log("initLinks "+ready+" "+selector+" "+menuId);
	$(ready).ready(function()
	{	initLinksRaw(selector,menuId);
	});
}

function initLinksRaw(selector,menuId)
{	//console.log("initLinks "+selector+" "+menuId);
	//console.log('defAction '+defAction);
	/*
	defAction= $('#'+menuId+' li').first().attr('id');
	$(selector).contextMenu(menuId, { click: function(target,item) { doMenu(item.id,$(target).attr('entity')); } });
	$(selector).click(function(e) { doMenu(defAction,$(this).attr('entity')); });
	*/
	
	direct=$('#'+menuId+' li').size()==1;
	if (direct)
	{	
		$(selector).click(function(e)
		{	defAction= $('#'+menuId+' li').attr('id');
			//console.log($('#'+menuId+' li').attr('id')); 
			doMenu(defAction,$(this).attr('entity'));
		});
	}
	else
	{	$(selector).contextMenu(menuId, { click: function(target,item) { doMenu(item.id,$(target).attr('entity')); } });
	}
}


//***************
//physical structure stuff
//***************
function doSmaller(svgId)
{	e=$("#"+svgId);
	scale=e.attr("scale");
	scale*=0.66;
	e.attr("scale",scale);
	doSVGUpdate(svgId);
}
function doLarger(svgId)
{	e=$("#"+svgId);
	scale=e.attr("scale");
	scale/=0.66;
	e.attr("scale",scale);
	doSVGUpdate(svgId);
}
function doSVGUpdate(svgId)
{	
	url=generateSVGURL(svgId);
	e=$("#"+svgId);
	e.svg('destroy');
	e.svg(
	{	loadURL: url,
		changeSize: true,
		onLoad: function()
		{	//console.log('svgready');
			initLinksRaw('.cmSpace', 'gMenuSpace');
			initLinksRaw('.cmModule', 'gMenuModule');
			initLinksRaw('.cmPhysical', 'gMenuPhysical');
		}
	});
}

function generateSVGURL(svgId)
{
	e=$("#"+svgId);
	mod=$("#"+svgId+"module").val();
	lib=$("#"+svgId+"lib").val();
	depth=$("#"+svgId+"depth").val();
	//shading=$("#"+svgId+"shading").attr("checked");
	shading=$("#"+svgId+"shading").val();
	url=e.attr("url")+"&scale="+e.attr("scale")+"&module="+mod+"&lib="+lib+"&depth="+depth+"&shading="+shading;
	return url;
}

function downloadSVG(svgId)
{	url=generateSVGURL(svgId);
	window.open(url+"&download");
}
